<template>
    <router-link class="site-logo" to="/"><img src="../assets/logo.svg" alt="Logo"></router-link>
</template>

<script>
    export default {
        name: "AppLogo",
        props: {
            msg: String
        }
    };
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style scoped lang="scss">
    @media (min-width: 1200px) and (max-width: 1440px) {
        .site-logo {
            width: 250px;

            img {
                width: 100%;
                height: 100%;
                object-fit: contain;
                object-position: left;
            }
        }
    }

    @media (min-width: 768px) and (max-width: 1199.99px) {
        .site-logo {
            width: 190px;

            img {
                width: 100%;
                height: 100%;
                object-fit: contain;
                object-position: left;
            }
        }
    }

    @media  (max-width: 767.99px) {
        .site-logo {
            width: 224px;

            img {
                width: 100%;
                height: 100%;
                object-fit: contain;
                object-position: left;
            }
        }
    }
</style>
